import * as $dara from '@darabonba/typescript';
import { DeleteMaliciousNoteResponseBody } from "./DeleteMaliciousNoteResponseBody";
export declare class DeleteMaliciousNoteResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DeleteMaliciousNoteResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
